<template>
  <LoadingLayout :loading="isLoading">
    <AppContainer>
      <PageFormLayout>
        <ProForm :model="detail" ref="formRef" label-width="140px" is-read>
          <ProFormCol>
            <ProFormColItem :span="12">
              <ProFormItemV2 label="任务名称:" prop="name">
                <ProFormText v-model.trim="detail.name" />
              </ProFormItemV2>
            </ProFormColItem>
          </ProFormCol>
          <ProFormCol>
            <ProFormColItem :span="12">
              <ProFormItemV2 label="任务名称:" prop="name">
                <RadioWithExtra
                  v-model="detail"
                  :value-enum="TrainSalaryTypeTextList"
                  enumLabelKey="text"
                  enum-value-key="value"
                  :showExtra="state.consultForm.salaryType === ConsultSalaryType.Input"
                >
                  <template #extra>
                    <ProFormInputNumber
                      :controls="false"
                      :min="0"
                      :max="999"
                      v-model="state.consultForm.startMonthlySalary"
                      placeholder="请输入"
                    ></ProFormInputNumber>
                  </template>
                </RadioWithExtra>
              </ProFormItemV2>
            </ProFormColItem>
          </ProFormCol>
        </ProForm>
      </PageFormLayout>
    </AppContainer>
  </LoadingLayout>
</template>

<script setup lang="ts">
import {
  LoadingLayout,
  AppContainer,
  PageFormLayout,
  ProForm,
  ProFormCol,
  ProFormColItem,
  ProFormItemV2,
  ProFormText,
  ProFormInputNumber,
} from '@bole-core/components';
import { useQuery } from '@tanstack/vue-query';

defineOptions({
  name: 'TaskDetailView',
});

const route = useRoute();
const id = route.params?.id as string;

const { data: detail, isLoading } = useQuery({
  //   queryKey: ['customerServices/getParkCustomerManageBaseDetail', id],
  //   queryFn: async () => {
  //     return await customerServices.getParkCustomerManageBaseDetail({ id: id });
  //   },
  placeholderData: () => ({} as API.GetUserClientForBackOutput),
  //   enabled: !!id,
});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;
</style>
